package com.unipi.talepis.protal2023_5_2;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
public class AppController {
    @Autowired
    private CovidCaseRepository covidCaseRepository;
    @GetMapping("/patientList")
    public Iterable<CovidCase> getCovidCases(){
        return covidCaseRepository.findAll();
    }
    @GetMapping("/find/{id}")
    public CovidCase findCaseById(@PathVariable Integer id){
        return covidCaseRepository.findCovidCaseById(id);
    }
    @PostMapping("/newCase")
    private String insertNewCase(@RequestBody Map<String,String> body){
        CovidCase covidCase = new CovidCase();
        covidCase.setPatientName(body.get("patientName"));
        covidCase.setDate(body.get("date"));
        covidCase.setExistingDisease(body.get("existingDisease"));
        covidCaseRepository.save(covidCase);
        return "Covid Case added!";
    }
}
